Get a specific invocation attempt
GET
https://api.vercel.com/v1/vercel-ci/invocations/{invocationId}/attempts/{attempt}Get Invocation
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({ bearerToken: "<YOUR_BEARER_TOKEN_HERE>",});
async function run() { const result = await vercel.vercelCi.getVercelCiInvocation({ invocationId: "<id>", attempt: "<value>", teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l", slug: "my-team-url-slug", });
console.log(result);}
run();Response
{ "invocation": { "invocationId": "example_id", "attempt": "123", "teamId": "example_id", "source": { "type": "string" }, "createdAt": "123", "repositoryKey": "string", "ref": "string", "commitSha": "string", "skipped": { "reason": "Customer requested refund" }, "bootstrappingStarted": { "startedAt": "123" }, "bootstrappingFailed": { "reason": "Customer requested refund" }, "sandboxSnapshotted": { "sandboxSnapshotId": "example_id", "workingDirectory": "string", "snapshottedAt": "123" }, "sandboxNamed": { "sandboxName": "Example Name", "workingDirectory": "string", "readyAt": "123" }, "jobDefinitionsCreated": { "names": [], "source": "string", "scheduledAt": "123" }, "completed": { "completedAt": "123", "conclusion": "string" }, "setupConclusion": { "result": "string" }, "runConclusion": { "result": "string" }, "status": "string" }, "repositories": "value"}Errors
{ "error": { "code": "string", "message": "string" }}AuthorizationbearerToken
Default authentication mechanism